Subject: Re: [Bitcoin-development] BIP70 proposed changes

From: Mike Hearn <[email-masked]>
Date: Fri, 21 Feb 2014 21:04:31 +0530

>
> One more thing. The new bitcoin URI in BIP 72 is extremely long and
> makes for very dense QR codes.

BIP 73 seems OK except that existing wallets that can scan QR codes will
choke. One reason the new URIs are long is for backwards compatibility.

One thing that makes the URI smaller is not escaping the payment URL -
bitcoinj/Bitcoin Wallet at least does not require it, and it reduces the
size of the QR code by a non-trivial amount.

Removing the https:// and just defaulting to it also saves some bytes.

Finally, BitPay is using rather long invoice IDs. Do you really need an ID
like JkLdFhQVFqmUurXpPXZcRp? That's a really huge ID space and the invoices
expire fast. So you could potentially implement a short mapping on the
server side and make much smaller IDs that way.